Page MenuHomePhabricator

Moving or deleting a translatable page on mediawiki.org triggers an error message
Closed, ResolvedPublic

Description

I was trying to move a translatable page from Growth/Community/How_to_work_with_newcomers_on_help_desk to Growth/Communities/How to work with newcomers on help desks using https://www.mediawiki.org/wiki/Special:MovePage/Growth/Community/How_to_work_with_newcomers_on_help_desk

Then I click on "Check if the move is possible", I'm getting the follwing error message:

PHP fatal error: Argument 1 passed to TranslateUtils::addWikiTextAsInterface() must be an instance of OutputPage, string given

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2018, 8:36 AM
MGChecker renamed this task from Move a translatable page on mediawiki.org triggers an error message to Moving or deleting a translatable page on mediawiki.org triggers an error message.Oct 25 2018, 9:37 AM
MGChecker added subscribers: Shirayuki, Ciencia_Al_Poder.
MGChecker added a subscriber: MGChecker.

Reported at MediaWiki.org as well.

Change 469609 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Fix fatal errors from b2586ae

https://gerrit.wikimedia.org/r/469609

Nikerabbit triaged this task as Unbreak Now! priority.Oct 25 2018, 12:48 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptOct 25 2018, 12:48 PM

Change 469609 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix fatal errors from b2586ae

https://gerrit.wikimedia.org/r/469609

Fix has been merged to master. I would appreciate if someone else backports and deploys it, as I am not around for SWAT.

Change 469650 had a related patch set uploaded (by Greg Grossmeier; owner: Nikerabbit):
[mediawiki/extensions/Translate@wmf/1.33.0-wmf.1] Fix fatal errors from b2586ae

https://gerrit.wikimedia.org/r/469650

Change 469650 merged by jenkins-bot:
[mediawiki/extensions/Translate@wmf/1.33.0-wmf.1] Fix fatal errors from b2586ae

https://gerrit.wikimedia.org/r/469650

Trizek-WMF: Can you confirm that this is fixed now? The patch has been deployed to group0.

Verified that rETRAb2586aebd94d: Avoid untidy calls to OutputPage::addWikiText() didn't make it to the REL1_32 branch of Translate, and so no further backporting should be needed.

Thanks for fixing my mess.

Jdforrester-WMF closed this task as Resolved.Oct 26 2018, 12:07 AM

Trizek-WMF: Can you confirm that this is fixed now? The patch has been deployed to group0.

It works!

Thank you everyone for the quick fix. :)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM